Subscribe a business
curl --request POST \
--url https://api.partoo.co/v2/business/{business_id}/subscribe \
--header 'Content-Type: application/json' \
--header 'x-APIKey: <api-key>' \
--data '
{
"subscription_date": 1540628702,
"products": [
"presence_management"
],
"plan": "<string>"
}
'import requests
url = "https://api.partoo.co/v2/business/{business_id}/subscribe"
payload = {
"subscription_date": 1540628702,
"products": ["presence_management"],
"plan": "<string>"
}
headers = {
"x-APIKey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-APIKey': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
subscription_date: 1540628702,
products: ['presence_management'],
plan: '<string>'
})
};
fetch('https://api.partoo.co/v2/business/{business_id}/subscribe', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"presence_management": {
"subscription_date": 1540628702,
"status": "active"
},
"review_management": {
"subscription_date": 1540628702,
"status": "active"
},
"review_booster": {
"subscription_date": 1540628702,
"status": "active"
},
"messages": {
"subscription_date": 1540628702,
"status": "active"
}
}{
"errors": {
"json": {}
}
}{
"errors": {
"authentication": "User not authenticated"
}
}{
"errors": {
"authorization": "Operation not allowed"
}
}{
"errors": {
"json": "Resource not found"
}
}Businesses
Subscribe a business
deprecated
⚠️ This endpoint is deprecated. Please use the new endpoint
/business/{business_id}/plans instead. ⚠️
This endpoint lets you subscribe a business to one or several Partoo products.
You need to have WRITE access on the business you want to subscribe.
You need to have PROVIDER to be able to perform this action.
POST
/
business
/
{business_id}
/
subscribe
Subscribe a business
Authorizations
The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.
Path Parameters
Business id.
It may be replaced by c-{code} where code is the store code, which should be unique per organization. This can be used only for ORG_ADMIN, GROUP_MANAGER and BUSINESS_MANAGER users.
Body
application/json
Was this page helpful?